package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TencentRoleRegisterRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;
    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 数据源ID
     */
    private Long userActionSetId;

    private String roleId;

    private String roleName;
}
