package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TencentUserDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 回传策略ID
     */
    private Long backPolicyId;
    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;
    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    private LocalDateTime subscribeTime;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 数据源ID
     */
    private Long userActionSetId;
    /**
     * 小游戏回传的时候要
     */
    private String clickId;
}
