package com.zanxiang.game.back.serve.config;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Getter
@Component
@RefreshScope
public class NacosDynamicParamConfig {

    @Value("${nacos.dynamic.callbackClearDay:15}")
    private Integer callbackClearDay;
}
