package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 游戏回传策略表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameBackPolicyListDTO extends BaseListDTO<GameBackPolicy> {
    @ApiModelProperty("回传策略名")
    private String backPolicyName;
}
