package com.zanxiang.game.back.serve.pojo.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderReportDTO {

    @NotNull(message = "订单列表不能为空")
    private List<Long> orderIds;

    @NotNull(message = "参数错误！")
    private Boolean splitOrder;

    private BigDecimal backMoney;

    private List<BigDecimal> splitMoney;
    /**
     * 回传间隔时间（/分钟）
     */
    private Integer betweenMinuteMin;
    /**
     * 回传间隔时间（/分钟）
     */
    private Integer betweenMinuteMax;
}
