package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.serve.pojo.dto.GameOceanengineAppOrderLogDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppOrderLog;
import com.zanxiang.game.back.serve.pojo.enums.BackStatusEnum;
import com.zanxiang.game.back.serve.pojo.vo.GameOceanengineAppOrderLogVO;

import java.time.LocalDateTime;

public interface IGameOceanengineAppOrderLogService extends IService<GameOceanengineAppOrderLog> {

    boolean callback(GameOceanengineAppOrderLog orderLog);

    Tuple2<BackStatusEnum, String> doCallback(GameOceanengineAppOrderLog orderLog, LocalDateTime backTime, Long backMoney);

    IPage<GameOceanengineAppOrderLogVO> oceanengineAppOrderLogList(GameOceanengineAppOrderLogDTO dto);
}
