package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.serve.pojo.dto.GameOceanengineOrderLogDTO;
import com.zanxiang.game.back.serve.pojo.dto.OrderReportDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineOrderLog;
import com.zanxiang.game.back.serve.pojo.enums.BackStatusEnum;
import com.zanxiang.game.back.serve.pojo.vo.GameOceanengineOrderLogVO;

import java.time.LocalDateTime;
import java.util.List;

public interface IGameOceanengineOrderLogService extends IService<GameOceanengineOrderLog> {

    boolean callback(GameOceanengineOrderLog orderLog);

    IPage<GameOceanengineOrderLogVO> oceanengineOrderLogList(GameOceanengineOrderLogDTO dto);
    boolean oceanengineOrderReport(OrderReportDTO dto);

    Tuple2<BackStatusEnum, String> doCallback(GameOceanengineOrderLog orderLog, LocalDateTime backTime, Long backMoney);
}
