package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.serve.pojo.dto.OrderReportDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentAppApiOrder;
import com.zanxiang.game.back.serve.pojo.enums.BackStatusEnum;

import java.time.LocalDateTime;

public interface IGameTencentAppApiOrderService extends IService<GameTencentAppApiOrder> {

    boolean orderBack(GameTencentAppApiOrder orderLog);

    boolean tencentOrderReport(OrderReportDTO dto);

    Tuple2<BackStatusEnum, String> doCallback(GameTencentAppApiOrder orderLog, LocalDateTime backTime, Long backMoney);
}
