package com.zanxiang.game.data.serve;

import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
@Configuration
@EnableDubbo
@EnableScheduling
public class GameDataApplication {

    public static void main(String[] args) {
        SpringApplication.run(GameDataApplication.class, args);
        System.out.println("游戏数据服务启动成功 ( ´･･)ﾉ(._.`) \n" +
                " ______  __     __     \n" +
                "/_____/\\/__/\\ /__/\\    \n" +
                "\\:::__\\/\\ \\::\\\\:.\\ \\   \n" +
                "   /: /  \\_\\::_\\:_\\/   \n" +
                "  /::/___  _\\/__\\_\\_/\\ \n" +
                " /_:/____/\\\\ \\ \\ \\::\\ \\\n" +
                " \\_______\\/ \\_\\/  \\__\\/\n");
    }

}
