package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-08-09
 * @description : 有效用户配置查询
 */
@Data
public class GameUserConfigListDTO extends BasePage {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "SDK")
    private String sourceSystem;
}
