package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZhangXianyu
 * @time 2024-03-15 13:50:22
 * @Description 查询任务结果Dto
 **/
@Data
public class MsgTaskResultDTO extends BasePage implements Serializable {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "任务id不能为空")
    private Long taskId;

    @ApiModelProperty(value = "发送状态")
    private String sendStatus;
}
