package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 游戏首日充值用户首日注册且充值用户复充趋势
 * </p>
 *
 * @author auto
 * @since 2023-08-09
 */
@Data
@Table(AdsGameFirstNewUserAgainDay.TABLE_NAME)
@PK({"dt", "sourceSystem", "gameId", "gameName"})
public class AdsGameFirstNewUserAgainDay implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_game_first_new_user_again_day";

    /**
     * 用户注册时间
     */
    private LocalDate dt;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏类别
     */
    @Column
    private Long gameClassify;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa1;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa2;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa3;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa4;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa5;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa6;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa7;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa8;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa9;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa10;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa11;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa12;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa13;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa14;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa15;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa16;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa17;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa18;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa19;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa20;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa21;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa22;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa23;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa24;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa25;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa26;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa27;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa28;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa29;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againDa30;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM2;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM3;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM4;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM5;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM6;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM7;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM8;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM9;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM10;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againM11;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againY1;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比(总)
     */
    @Column
    private String againTotal;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa1;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa2;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa3;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa4;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa5;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa6;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa7;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa8;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa9;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa10;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa11;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa12;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa13;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa14;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa15;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa16;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa17;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa18;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa19;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa20;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa21;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa22;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa23;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa24;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa25;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa26;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa27;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa28;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa29;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyDa30;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM2;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM3;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM4;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM5;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM6;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM7;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM8;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM9;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM10;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyM11;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyY1;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比(买量)
     */
    @Column
    private String buyTotal;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa1;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa2;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa3;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa4;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa5;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa6;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa7;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa8;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa9;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa10;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa11;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa12;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa13;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa14;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa15;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa16;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa17;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa18;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa19;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa20;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa21;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa22;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa23;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa24;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa25;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa26;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa27;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa28;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa29;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureDa30;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM2;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM3;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM4;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM5;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM6;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM7;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM8;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM9;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM10;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureM11;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureY1;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比(自然量)
     */
    @Column
    private String natureTotal;


}



