package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@Table(AdsPitcherDayn.TABLE_NAME)
@PK({"dt", "sourceSystem", "pitcherId"})
public class AdsPitcherDayn implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_pitcher_dayn";
     
    /**
    * 注册时间
    */
    private LocalDate dt;
    
    /**
    * 投手ID
    */
    private String pitcherId;
    
    /**
    * SDK来源
    */
    private String sourceSystem;
    
    /**
    * 每一天的的充值金额，充值次数，充值人数
    */    
    @Column
    private String dayn;
    

}


