package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Id;
import org.nutz.dao.entity.annotation.Prev;
import org.nutz.dao.entity.annotation.SQL;
import org.nutz.dao.entity.annotation.Table;

import java.time.LocalDateTime;

/**
 * packageName com.zanxiang.game.data.serve.pojo.entity
 *
 * @author ZhangXianyu
 * @date 2024/4/22
 * @description 游戏角色有效创角配置
 */
@Data
@Table("dm_game_order.t_game_user_config")
public class GameUserConfig {
    @Prev( @SQL("SELECT IFNULL(MAX(id),0)+1 FROM dm_game_order.t_game_user_config") )
    @Id(auto = false)
    private Long id;
    private String sourceSystem;
    private Long gameId;
    private Long roleLevel;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}