package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @version 1.0
 * @description: 广告账号实体类
 * @date 2023/11/3 16:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AccountListVO {

    /**
     * SDK来源
     */
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 广告账号ID
     */
    @ApiModelProperty(notes = "广告账号ID")
    private Long accountId;

    /**
     * 广告账号类型
     */
    @ApiModelProperty(notes = "广告账号类型")
    private String accountType;

}
