package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AdsAccountRechargeRankingVO {

    @ApiModelProperty(notes = "序号")
    private Integer index;

    @ApiModelProperty(notes = "推广账号")
    private Long accountId;

    @ApiModelProperty(notes = "推广账号媒体")
    private String type;

    @ApiModelProperty(notes = "投手ID")
    private String pitcherId;

    @ApiModelProperty(notes = "投手名称")
    private String pitcher;

    @ApiModelProperty(notes = "游戏 id")
    private String gameId;

    @ApiModelProperty(notes = "推广游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "推广游戏类型")
    private String gameClassify;

    @ApiModelProperty(notes = "推广游戏CP名称")
    private String gameCp;

    @ApiModelProperty(notes = "消耗")
    private BigDecimal cost;

    @ApiModelProperty(notes = "推广广告数量")
    private Long adCount;

    @ApiModelProperty(notes = "曝光数量")
    private Long viewCount;

    @ApiModelProperty(notes = "点击数量")
    private Long clickCount;

    @ApiModelProperty(notes = "点击率")
    private BigDecimal clickRate;

    @ApiModelProperty(notes = "千次曝光成本")
    private BigDecimal thousandDisplayPrice;

    @ApiModelProperty(notes = "注册人数")
    private Long regUserCnt;

    @ApiModelProperty(notes = "注册成本")
    private BigDecimal regCost;

    @ApiModelProperty(notes = "首日创角人数")
    private Long firstRole;

    @ApiModelProperty(notes = "累计创角人数")
    private Long totalRole;

    @ApiModelProperty(notes = "首日充值金额")
    private BigDecimal firstAmount;

    @ApiModelProperty(notes = "首日充值人数")
    private Long firstAmountUser;

    @ApiModelProperty(notes = "首日充值次数")
    private Long firstAmountCount;

    @ApiModelProperty(notes = "累计充值金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(notes = "累计充值人数")
    private Long totalAmountUser;

    @ApiModelProperty(notes = "累计充值次数")
    private Long totalAmountCount;

    @ApiModelProperty(notes = "首日ROI")
    private BigDecimal firstRoi;

    @ApiModelProperty(notes = "平均单价")
    private BigDecimal avgAmount;

    @ApiModelProperty(notes = "回本率")
    private BigDecimal roi;
}
