package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZhangXianyu
 * @time 2024-03-05
 * @Description 流水监控总计vo
 **/
@Data
public class FlowMonitorCountVo implements Serializable {

    /**
     * 消耗总计
     */
    @ApiModelProperty(value = "消耗总计")
    private Double costCount = 0.0;

    /**
     * 充值总计
     */
    @ApiModelProperty(value = "充值总计")
    private Double amountCount = 0.0;

    /**
     * 回报率总计
     */
    @ApiModelProperty(value = "回报率总计")
    private Double recoveryCount = 0.0;



}
