package com.zanxiang.game.data.serve.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * packageName com.zanxiang.game.data.serve.pojo.vo
 *
 * @author ZhangXianyu
 * @date 2024/4/7
 * @description GS区服留存VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GSServerRetentionVO {
    /**
     * 活跃留存率
     */
    private String activeRetention;
    /**
     * 付费留存率
     */
    private String PaidRetentionRate;
    /**
     * 小R留存率
     */
    private String smallR;
    /**
     * 中R留存率
     */
    private String mediumR;
    /**
     * 大R留存率
     */
    private String largeR;
    /**
     * 超大R留存率
     */
    private String superR;
    /**
     * 创角总人数
     */
    private String totalRegNum;
    /**
     * 付费总人数
     */
    private String totalAmountNum;
    /**
     * 小r人数
     */
    private String smallRNum;
    /**
     * 中r人数
     */
    private String mediumRNum;
    /**
     * 大r人数
     */
    private String largeRNum;
    /**
     * 超大r人数
     */
    private String superRNum;
    /**
     * R总
     */
    private String rTotal;
    /**
     * R总留存率
     */
    private String rTotalRetention;


}