package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @version 1.0
 * @description: 投手信息实体类
 * @date 2023/11/3 16:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PitcherListVO {

    /**
     * SDK来源
     */
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 投手ID
     */
    @ApiModelProperty(notes = "投手ID")
    private Long pitcherId;

    /**
     * 投手名
     */
    @ApiModelProperty(notes = "投手名")
    private String pitcherName;

}
