package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RechargeTemplateVO {
    /**
     * 充值模板排序
     */
    @ApiModelProperty("充值模板排序")
    private Integer amountOrderBy;

    /**
     * 充值挡位
     */
    @ApiModelProperty("充值挡位")
    private BigDecimal amountPost;

    /**
     * 充值次数
     */
    @ApiModelProperty("充值次数")
    private Long amountCount;

    /**
     * 充值人数
     */
    @ApiModelProperty("充值人数")
    private Long amountNum;

}
