package com.zanxiang.game.data.serve.pojo.vo;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @time 2024-03-11 11:24:16
 * @Description 发送消息任务参数
 **/
@Data
public class SendMsgTaskVo {

    private Long taskId;

    private String taskName;

    private String taskCondition;

    private String gameName;

    private LocalDate createTime;

    private String createBy;

    private LocalDate updateTime;

    private String updateBy;

    private String sendContent;

    /**
     * 任务调度策略类型
     * {@link com.zanxiang.game.data.serve.pojo.enums.TaskStrategyEnum}
     */
    private String taskStrategy;

    /**
     * 定时发送时间
     */
    private LocalDate sendOnTime;

    /**
     * 发送角色总数
     */
    private Integer sendCount;

    /**
     * 发送角色成功总数
     */
    private Integer sendSuccessCount;

    /**
     * 发送角色失败总数
     */
    private Integer sendFailCount;

    /**
     * 发送状态（任务实例状态 是否执行过任务）
     */
    private Integer sendStatus;

    /**
     * 任务状态（执行  停止）
     */
    private Integer taskStatus;






}
