package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.entity.TGameVip;
import com.zanxiang.game.data.serve.service.IVipLevelService;
import lombok.extern.slf4j.Slf4j;
import org.nutz.dao.Dao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/11/24 11:01
 */
@Service
@Slf4j
public class VipLevelServiceImpl implements IVipLevelService {

    @Autowired
    private Dao dao;

    /**
     * 获得最大的vip等级
     * @return Integer
     */
    @Override
    public Integer getMaxVipLevel() {
        return (Integer) dao.func2(TGameVip.class, "MAX", "vip_level");
    }

}
