package com.zanxiang.game.gs.data.serve;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author : lingfeng
 * @time : 2024-06-03
 * @description : GS数据系统启动类
 */
@EnableDiscoveryClient
@SpringBootApplication
@Configuration
@EnableDubbo
@EnableScheduling
public class GameGsDataApplication {
    public static void main(String[] args) {
        SpringApplication.run(GameGsDataApplication.class, args);
        System.out.println("游戏GS数据启动成功 \n" +
                " ______  __     __     \n" +
                "/_____/\\/__/\\ /__/\\    \n" +
                "\\:::__\\/\\ \\::\\\\:.\\ \\   \n" +
                "   /: /  \\_\\::_\\:_\\/   \n" +
                "  /::/___  _\\/__\\_\\_/\\ \n" +
                " /_:/____/\\\\ \\ \\ \\::\\ \\\n" +
                " \\_______\\/ \\_\\/  \\__\\/\n");
    }
}
