package com.zanxiang.game.gs.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RolePayVO {

    /**
     * gsID
     */
    @ApiModelProperty("gsID")
    private Long gsId;

    @ApiModelProperty("gs 名称")
    private String gsName;

    /**
     * gs开始管理时间
     */
    @ApiModelProperty("gs指派日期")
    private LocalDate dt;

    @ApiModelProperty("至今服务天数：当前时间-指派日期")
    private long dtDiff;

    /**
     * 指派角色数量
     */
    @ApiModelProperty("指派角色数量")
    private Integer roleNum;

    /**
     * 付费角色数量
     */
    @ApiModelProperty("付费角色数量")
    private Integer roleAmountNum;

    /**
     * 付费次数
     */
    @ApiModelProperty("付费次数")
    private Integer orderCount;

    /**
     * 付费金额
     */
    @ApiModelProperty("付费金额")
    private BigDecimal totalAmount;

    /**
     * ARPPU（人均付费金额）=付费金额/付费角色数量
     */
    @ApiModelProperty("ARPPU（人均付费金额）")
    private BigDecimal gsArppu;

    /**
     * 客单价（平均每次付费金额）=付费金额/付费次数
     */
    @ApiModelProperty("客单价（平均每次付费金额）")
    private BigDecimal gsAvg;

    /**
     * 付费率=付费角色数量/指派角色数量
     */
    @ApiModelProperty("付费率")
    private BigDecimal gsRate;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @ApiModelProperty("day1 : 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率")
    private String da1;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da2;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da3;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da4;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da5;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da6;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da7;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da8;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da9;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da10;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da11;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da12;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da13;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da14;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da15;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da16;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da17;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da18;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da19;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da20;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da21;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da22;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da23;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da24;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da25;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da26;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da27;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da28;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da29;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da30;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da31;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da32;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da33;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da34;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da35;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da36;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da37;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da38;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da39;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da40;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da41;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da42;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da43;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da44;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da45;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da46;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da47;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da48;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da49;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da50;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da51;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da52;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da53;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da54;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da55;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da56;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da57;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da58;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da59;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da60;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da61;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da62;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da63;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da64;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da65;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da66;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da67;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da68;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da69;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da70;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da71;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da72;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da73;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da74;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da75;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da76;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da77;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da78;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da79;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da80;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da81;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da82;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da83;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da84;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da85;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da86;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da87;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da88;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da89;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String da90;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m4;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m5;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m6;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m7;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m8;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m9;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m10;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m11;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String m12;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    private String total;


}
