package com.zanxiang.game.gs.data.serve.service;


import com.zanxiang.game.gs.data.serve.pojo.entity.game.order.RoleOperate;
import com.mybatisflex.core.service.IService;

import java.util.Collection;
import java.util.Collections;
import java.util.List;

/**
 * 角色操作表 服务层。
 *
 * @author shaosong
 * @since 1.0
 */
public interface IRoleOperateService extends IService<RoleOperate> {

    List<RoleOperate> getRoleOperateByGs(String sourceSystem, Collection<Long> gsIdlist);

    List<RoleOperate> getRoleOperateByGameIdAndRoleId(String sourceSystem, Collection<Long> gameIdList, Collection<String> roleIdList);
}