package com.zanxiang.game.module.base.rpc;

import com.zanxiang.game.module.base.pojo.vo.GameAuthUserVO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权
 */
public interface GameAuthRpc {

    /**
     * 查询游戏列表
     *
     * @return {@link GameAuthUserVO}
     */
    ResultVO<GameAuthUserVO> getGameAuthByUserIds();

}
