package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-03-13
 * @description : 区服指派枚举
 */
@Getter
@AllArgsConstructor
public enum GameServerAssignEnum {

    /**
     * 客服指派
     */
    GAME_SERVER_ASSIGN_CUSTOMER("GAME_SERVER_ASSIGN_CUSTOMER"),

    /**
     * GS指派
     */
    GAME_SERVER_ASSIGN_GS("GAME_SERVER_ASSIGN_GS");

    /**
     * 指派类型
     */
    private String value;
}
