package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author wcc
 */
@Data
public class AgentDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 渠道名称
     */
    private String agentName;

    /**
     * 渠道唯一标识
     */
    private String agentKey;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;

    /**
     * 账号类型
     */
    private Long accountId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;

    /**
     * 回传策略 id
     */
    private Long backPolicyId;

    /**
     * 投放状态
     */
    private Integer putStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建归属人id
     */
    private Long createBy;

    /**
     * 创建归属人名称
     */
    private String createByName;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;
}
