package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 游戏分类
 */
@Data
public class GameCategoryDTO {

    /**
     * 游戏分类ID
     */
    private Long id;

    /**
     * 游戏分类key
     */
    private String key;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
