package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-02-09
 * @description : 游戏支付方式
 */
@Data
public class GamePayWayDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 支付方式id
     */
    private Long payDeviceId;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 支付盒子id
     */
    private Long payBoxId;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 客服消息卡片图片地址
     */
    private String thumbUrl;

    /**
     * 状态 1 不可用 0 可用
     */
    private Integer status;

    /**
     * 是否已删除 1 已删除 0 正常
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
