package com.zanxiang.game.module.manage.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-16
 * @description : 游戏分类标签
 */
@Data
public class GameTagDTO {

    /**
     * id
     */
    @ApiModelProperty(notes = "id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 父标签id
     */
    @ApiModelProperty(notes = "父标签id")
    private Long parentId;

    /**
     * 父标签名称
     */
    @ApiModelProperty(notes = "父标签名称")
    private String parentName;

    /**
     * 标签描述
     */
    @ApiModelProperty(notes = "标签描述")
    private String remark;

    /**
     * 操作者id
     */
    @ApiModelProperty(notes = "操作者id")
    private Long operatorId;

    /**
     * 操作者名字
     */
    @ApiModelProperty(notes = "操作者名字")
    private String operatorName;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
