package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.Cp;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description : cp查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CpListParam extends BaseListDTO<Cp> {

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;
}
