package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import com.zanxiang.game.module.mybatis.entity.GameAuthRole;
import com.zanxiang.module.web.pojo.BaseListDTO;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权角色
 */
@Data
public class GameAuthRoleListParam extends BaseListDTO<GameAuthRole> {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 授权类型
     */
    private GameAuthEnum authType;
}
