package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GamePayWay;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : xufeng
 * @time : 2022-06-30
 * @description : 游戏支付配置表
 */
@Data
public class GamePayWayListParam extends BaseListDTO<GamePayWay> {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 支付方式id
     */
    @ApiModelProperty(notes = "支付方式id")
    private Long payWayId;

    /**
     * 状态 1 不可用 0 可用
     */
    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}