package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁添加参数
 */
@Data
public class IpBanAddParam {

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * ip列表
     */
    @NotEmpty(message = "ip列表不可为空")
    private Set<String> ipList;
}
