package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.MiPaySum;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName MiPaySumListParam
 * @Description 米大师支付统计前端查询参数实体
 * @Author tianhua
 * @Date 2023/6/27  11:18
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class MiPaySumListParam extends BaseListDTO<MiPaySum> {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 状态, 0 : 正常, 1 : 不可用
     */
    @ApiModelProperty(notes = "状态, 0 : 正常, 1 : 不可用")
    private Integer status;

}
