package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.PayCallCpLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 注释通知CP记录表
 *
 * @author xufeng
 * @date 2022-06-27 14:07
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PayCallCpLogParam extends BaseListDTO<PayCallCpLog> {

    /**
     * 商户订单号
     */
    @NotBlank
    @ApiModelProperty(notes = "商户订单号")
    private String orderId;
}
