package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.RoleAssignRecord;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author shishaosong
 */
@Data
public class RoleAssignRecordListParam extends BaseListDTO<RoleAssignRecord> {
    @NotNull
    @ApiModelProperty("游戏id")
    private Long gameId;

    @NotNull
    @ApiModelProperty("区服id")
    private String serverId;

    @NotNull
    @ApiModelProperty("用户id")
    private Long userId;

    @NotNull
    @ApiModelProperty("角色id")
    private String roleId;

    @NotNull
    @ApiModelProperty("渠道id")
    private Long regAgentId;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("GS id")
    private Long gsId;

    @ApiModelProperty("客服id")
    private Long customerServiceId;

    @ApiModelProperty("运营id")
    private Long operUserId;
}
