package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotNull;


/**
 * @author shishaosong
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
public class RoleInfoAndAgentParam {
    /**
     * 游戏id
     */
    @NotNull
    @ApiModelProperty("游戏id")
    private Long gameId;

    /**
     * 注册渠道id
     */
    @ApiModelProperty("注册渠道id")
    private String regAgentId;

    /**
     * 区服id
     */
    @NotNull
    @ApiModelProperty("区服id")
    private String serverId;

    /**
     * 用户id
     */
    @NotNull
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 角色id
     */
    @NotNull
    @ApiModelProperty("角色id")
    private String roleId;

}
