package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;


/**
 * @author shishaosong
 */
@ApiModel
@Data
public class RoleMailRecordAddParam {

    @ApiModelProperty("传ids为修改, 不传ids为新增")
    private List<Long> ids;

    @NotEmpty
    @ApiModelProperty("角色信息")
    private List<RoleInfoParam> roleInfoList;

    /**
     * 发送时间
     */
    @NotNull
    @ApiModelProperty("发送时间")
    private LocalDateTime sendTime;

}
