package com.zanxiang.game.module.manage.pojo.vo;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-07-07
 * @description : 客包控制
 */
public class GameAppletShellVO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 是否在申诉
     */
    private Boolean isAppeal;

    /**
     * 线上版本号
     */
    private String proVersion;

    /**
     * 提审版本号
     */
    private String arraignVersion;

    /**
     * 壳包控制类型, 0:关闭, 1:开启, 2:新用户开启, 老用户关闭, 3:角色等级控制开启
     */
    private Integer proControlType;

    /**
     * 壳包控制等级, 类型为3时, 必填
     */
    private Long proControlLevel;

    /**
     * 壳跳出按钮开关
     */
    private Boolean isSkipSwitch;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
