package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-05-21
 * @description : 游戏授权角色分组
 */
@Data
public class GameAuthRoleGroupVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 用户名称
     */
    @ApiModelProperty(notes = "用户名称")
    private String userName;

    /**
     * 分组id
     */
    @ApiModelProperty(notes = "分组id")
    private Long groupId;

    /**
     * 是否组长
     */
    @ApiModelProperty(notes = "是否组长")
    private Boolean isLeader;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;
}
