package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 游戏选择列表
 */
@Data
public class GameChoiceVO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 游戏应用类型id
     */
    @ApiModelProperty(notes = "游戏应用类型id")
    private Long category;

    /**
     * 父游戏id
     */
    @ApiModelProperty(notes = "父游戏id")
    private Long parentId;

    /**
     * 超父游戏id
     */
    @ApiModelProperty(notes = "超父游戏id")
    private Long superGameId;
}
