package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author shishaosong
 */
@Builder
@Data
public class GameGiftListVO {
    @ApiModelProperty(notes = "id")
    private Long id;

    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    @ApiModelProperty("超父游戏名称")
    private String superGameName;

    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    @ApiModelProperty("父游戏名称")
    private String parentGameName;

    /**
     * 礼包名称
     */
    @ApiModelProperty("礼包名称")
    private String giftName;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    private Long createBy;

    @ApiModelProperty("创建者名称")
    private String createName;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    private Long updateBy;

    @ApiModelProperty("更新者名称")
    private String updateName;
}
