package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-16
 * @description : 策略类型
 */
@Data
public class GamePayStrategyChoiceVO {

    /**
     * 游戏支付策略类型
     */
    @ApiModelProperty(notes = "游戏支付策略类型")
    private Integer type;

    /**
     * 游戏支付策略类型名称
     */
    @ApiModelProperty(notes = "游戏支付策略类型名称")
    private String name;
}
