package com.zanxiang.game.module.manage.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/11/29 15:10
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GamePolicyConfigInnerObjVO {

    /**
     * 金额
     */
    private Long amount;

    /**
     * 金额条件：eq -> 等于; lt -> 小于; gt -> 大于; le -> 小于等于; ge -> 大于等于
     */
    private String amountCondition;

    /**
     * 时间（单位：小时）
     */
    private Long time;

    /**
     * 时间条件：eq -> 等于; lt -> 小于; gt -> 大于; le -> 小于等于; ge -> 大于等于
     */
    private String timeCondition;

}
