package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.module.util.excel.ExcelAnno;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-06-04
 * @description : 区服表格
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerExcelVO {

    /**
     * 游戏id
     */
    @ExcelAnno(title = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ExcelAnno(title = "游戏名称")
    private String gameName;

    /**
     * 区服id
     */
    @ExcelAnno(title = "区服id")
    private String serverId;

    /**
     * 区服名称
     */
    @ExcelAnno(title = "区服名称")
    private String serverName;

    /**
     * 区服冠名
     */
    @ExcelAnno(title = "区服冠名")
    private String nickName;

    /**
     * 开服时间
     */
    @ExcelAnno(title = "开服时间")
    private LocalDateTime startTime;

    /**
     * 是否原始服
     */
    @ExcelAnno(title = "是否原始服")
    private Boolean isSourceServer;
}
