package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/11/20 14:17
 */
@Data
@Builder
public class GameVipListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 超父游戏id
     */
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 超父游戏名称
     */
    @ApiModelProperty("超父游戏名称")
    private String superGameName;

    /**
     * 父游戏id
     */
    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    /**
     * 父游戏名称
     */
    @ApiModelProperty("父游戏名称")
    private String parentGameName;

    /**
     * 充值金额最小
     */
    @ApiModelProperty("充值金额最小")
    private BigDecimal rechargeMoneyMin;

    /**
     * 充值金额最大
     */
    @ApiModelProperty("充值金额最大")
    private BigDecimal rechargeMoneyMax;

    /**
     * vip档位
     */
    @ApiModelProperty("vip档位")
    private Integer vipLevel;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    private Long createBy;

    /**
     * 创建者名称
     */
    @ApiModelProperty("创建者名称")
    private String createName;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    private Long updateBy;

    /**
     * 更新者名称
     */
    @ApiModelProperty("更新者名称")
    private String updateName;

}
