package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-11-29
 * @description : 客服游戏
 */
@Data
public class KfGameVO {

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private String appId;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String appName;

    /**
     * 是否授权
     */
    @ApiModelProperty(notes = "是否授权")
    private Boolean isAuth;

    /**
     * 是否有效
     */
    @ApiModelProperty(notes = "是否有效, isAuth 为false未授权时, 该值为null")
    private Boolean isValid;
}
