package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-29
 * @description : 支付应用选择
 */
@Data
public class PayApplicationChoiceVO {

    /**
     * 应用appId
     */
    @ApiModelProperty(notes = "应用appId")
    private String appId;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String appName;

    /**
     * 类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    @ApiModelProperty(notes = "类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用")
    private Integer type;
}
