package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author shishaosong
 */
@Builder
@Data
public class RoleAssignRecordListVO {
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty("游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty("游戏名称")
    private String gameName;

    /**
     * 区服id
     */
    @ApiModelProperty("区服id")
    private String serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty("区服名称")
    private String serverName;

    /**
     * 用户id
     */
    @ApiModelProperty("创建时间")
    private Long userId;

    /**
     * 角色id
     */
    @ApiModelProperty("角色id")
    private String roleId;

    /**
     * 角色名称
     */
    @ApiModelProperty("角色名称")
    private String roleName;

    /**
     * 注册渠道id
     */
    @ApiModelProperty("注册渠道id")
    private String regAgentId;

    /**
     * 注册渠道名称
     */
    @ApiModelProperty("注册渠道名称")
    private String regAgentName;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private LocalDate startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private LocalDate endTime;

    /**
     * GS
     */
    @ApiModelProperty("GS")
    private Long gsId;
    private String gsName;

    /**
     * 客服
     */
    @ApiModelProperty("客服")
    private Long customerServiceId;
    private String customerServiceName;

    /**
     * 运营
     */
    @ApiModelProperty("运营")
    private Long operUserId;
    private String operUserName;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
    
    @ApiModelProperty("创建者")
    private Long createBy;

    @ApiModelProperty("创建者名称")
    private String createName;
    
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;
    
    @ApiModelProperty("更新者")
    private Long updateBy;

    @ApiModelProperty("更新者名称")
    private String updateName;


}
