package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameAppletShellAddUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GameAppletShellListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameAppletShellListVO;
import com.zanxiang.game.module.mybatis.entity.GameAppletShell;

/**
 * @author : lingfeng
 * @time : 2023-07-06
 * @description : 壳包控制
 */
public interface IGameAppletShellService extends IService<GameAppletShell> {

    /**
     * 添加或更新
     *
     * @param param 参数
     * @return {@link Boolean}
     */
    Boolean addOrUpdate(GameAppletShellAddUpdateParam param);

    /**
     * 列表页面
     *
     * @param param 参数
     * @return {@link IPage}<{@link GameAppletShellListVO}>
     */
    IPage<GameAppletShellListVO> listOfPage(GameAppletShellListParam param);
}
