package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameExt;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏密钥
 */
public interface IGameExtService extends IService<GameExt> {

    /**
     * 通过游戏id
     *
     * @param gameId 游戏id
     * @return {@link GameExt}
     */
    GameExt getByGameId(Long gameId);

    /**
     * 通过游戏应用程序id
     *
     * @param appId 应用程序id
     * @return {@link GameExt}
     */
    GameExt getByGameAppId(String appId);
}
