package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GamePolicyConfigAddOrUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GamePolicyConfigListParam;
import com.zanxiang.game.module.manage.pojo.vo.GamePolicyConfigListVO;
import com.zanxiang.game.module.mybatis.entity.GamePolicyConfig;

/**
 * @author tianhua
 */
public interface IGamePolicyConfigService extends IService<GamePolicyConfig> {

    boolean addOrUpdate(GamePolicyConfigAddOrUpdateParam param);

    boolean deleteById(Long id);

    IPage<GamePolicyConfigListVO> listOfPage(GamePolicyConfigListParam param);

}
