package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameVipAddBatchParam;
import com.zanxiang.game.module.manage.pojo.params.GameVipAddParam;
import com.zanxiang.game.module.manage.pojo.params.GameVipListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameVipListVO;
import com.zanxiang.game.module.mybatis.entity.GameVip;

import java.util.List;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏vip档位
 * @date 2023/11/20 14:28
 */
public interface IGameVipService extends IService<GameVip> {

    boolean addOrUpdate(GameVipAddParam param);

    boolean deleteById(List<Long> ids);

    IPage<GameVipListVO> gameVipList(GameVipListParam param);

    boolean addBatch(GameVipAddBatchParam param);

}
