package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.RoleGiftRecordAddParam;
import com.zanxiang.game.module.manage.pojo.params.RoleGiftRecordListParam;
import com.zanxiang.game.module.manage.pojo.vo.RoleGiftRecordListVO;
import com.zanxiang.game.module.mybatis.entity.RoleGiftRecord;

import java.util.List;

/**
 * <p>
 * 角色礼包发送记录表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IRoleGiftRecordService extends IService<RoleGiftRecord> {

    boolean addOrUpdate(RoleGiftRecordAddParam param);

    IPage<RoleGiftRecordListVO> listOfPage(RoleGiftRecordListParam param);

    boolean deleteByIds(List<Long> ids);
}
