package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.RoleOperateParam;
import com.zanxiang.game.module.mybatis.entity.RoleOperate;

/**
 * <p>
 * 角色操作表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IRoleOperateService extends IService<RoleOperate> {

    /**
     * 玩家是否加企微
     *
     * @param gameId : 游戏id
     * @param userId : 玩家id
     * @return : 返回是否加企微
     */
    boolean userAddCorpWechat(Long gameId, Long userId);

    boolean modify(RoleOperateParam param);
}
