package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.vo.UserAddressVO;
import com.zanxiang.game.module.mybatis.entity.UserAddress;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户地址
 */
public interface IUserAddressService extends IService<UserAddress> {

    /**
     * 查询玩家收货地址列表
     *
     * @param userId : 用户id
     * @return {@link List}<{@link UserAddressVO}>
     */
    List<UserAddressVO> list(Long userId);
}
