package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.module.manage.pojo.params.UserBanListParam;
import com.zanxiang.game.module.manage.pojo.params.UserBanUpdateParam;
import com.zanxiang.game.module.manage.pojo.vo.UserBanVO;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : 玩家封禁管理
 */
public interface IUserBanService {

    /**
     * 查询ip封禁列表
     *
     * @param param : 查询参数
     * @return {@link IPage}<{@link UserBanVO}>
     */
    IPage<UserBanVO> list(UserBanListParam param);

    /**
     * 玩家封禁添加或者更新
     *
     * @param param : 玩家封禁更新参数
     * @return {@link Boolean}
     */
    Boolean addOrUpdate(UserBanUpdateParam param);
}
