package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏壳包进入日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_shell_log")
public class GameShellLog {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 版本
     */
    private String version;

    /**
     * 访问ip
     */
    private String ip;

    /**
     * 日志内容
     */
    private String data;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
