package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;

/**
 * @author : lingfeng
 * @time : 2024-03-12
 * @description : 客服监测词汇
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_monitor_word")
public class KfMonitorWord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 敏感词
     */
    private String word;
}