package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-11-27
 * @description : 客服用户
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_user")
public class KfUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 客服用户id
     */
    private Long kfUserId;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 请求token
     */
    private String token;

    /**
     * 请求cookie
     */
    private String cookie;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
