package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-01-12
 * @description : 支付商城小程序
 */
@Data
public class PayApplicationDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用原始id
     */
    private String ghId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 类型,1 : 微信商城小程序, 2: 微信公众号
     */
    private Integer type;

    /**
     * 应用密钥
     */
    private String appSecret;

    /**
     * 应用跳转路径
     */
    private String path;
}
