package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 用户token信息
 */
@Data
public class UserTokenDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * token
     */
    private String token;

    /**
     * 客户端类型, 1:安卓app, 2: 苹果iosApp, 3: h5网页, 4 : 小程序(小游戏)
     */
    private Integer deviceType;
}
