package com.zanxiang.game.module.sdk.pojo.param;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-06-25
 * @description : CP推送玩家订单数据
 */
@Data
public class CpPushOrderParam {

    /**
     * 玩家应用唯一标识
     */
    private String openId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 订单状态
     */
    private Integer status;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 产品id
     */
    private String productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 订单金额
     */
    private BigDecimal amount;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 下单时间
     */
    private LocalDateTime createTime;

    /**
     * 扩展字段
     */
    private String extension;
}
