package com.zanxiang.game.module.sdk.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-01-05
 * @description : 支付参数
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PayParamVO {

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 下单支付参数
     */
    private String payParam;

}
