package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameBackLog;

/**
 * @author : lingfeng
 * @time : 2023-08-02
 * @description : 游戏回传日志
 */
public interface IGameBackLogService extends IService<GameBackLog> {

    /**
     * 添加日志
     *
     * @param userId   用户id
     * @param orderId  订单id
     * @param describe 描述
     * @param param    参数
     */
    void addLog(Long userId, String orderId, String describe, String param);
}
