package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.Game;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

import java.util.Map;

/**
 * @author : xufeng
 * @time : 2022-07-13
 * @description : 游戏管理
 */
public interface IGameService extends IService<Game> {

    /**
     * 获取游戏广告媒体sdk配置
     *
     * @param userData : 玩家信息
     * @return : 返回配置
     */
    Map<String, Object> getAdSdkConfig(UserData userData);
}
