package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.sdk.pojo.dto.PlatformOrderDTO;
import com.zanxiang.game.module.sdk.pojo.param.GameUserRoleUpdateParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * @author : lingfeng
 * @time : 2024-05-28
 * @description : 消息推送
 */
public interface IPushMsgService {

    /**
     * 充值消息推送
     *
     * @param platformOrderDTO : 订单信息
     */
    void pushMsgByRecharge(PlatformOrderDTO platformOrderDTO);

    /**
     * 等级提升推送消息
     *
     * @param param    : 参数
     * @param userData : 玩家信息
     */
    void pushMsgByLevelUpdate(GameUserRoleUpdateParam param, UserData userData);
}
