package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.UserCard;
import com.zanxiang.game.module.sdk.pojo.param.UserCardUpdateParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 用户实名认证
 */
public interface IUserCardService extends IService<UserCard> {

    /**
     * 用户实名认证
     *
     * @param param    : 实名认证参数
     * @param userData : 用户登录信息
     * @return {@link ResultVO}<{@link Boolean}>
     */
    ResultVO<Boolean> userAuthentication(UserCardUpdateParam param, UserData userData);
}
