package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.UserVisitLog;

import javax.servlet.http.HttpServletRequest;

/**
 * @author : lingfeng
 * @time : 2023-07-24
 * @description : 用户下载地址访问记录
 */
public interface IUserVisitLogService extends IService<UserVisitLog> {

    /**
     * 访问日志创建
     *
     * @param url                url
     * @param userAgent          用户代理
     * @param httpServletRequest http servlet请求
     * @return boolean
     */
    boolean visitLogCreate(String url, String userAgent, HttpServletRequest httpServletRequest);
}
