package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.WordCheck;

/**
 * @author : lingfeng
 * @time : 2022-06-14
 * @description :
 */
public interface IWordCheckService extends IService<WordCheck> {

    /**
     * 查询敏感词
     *
     * @param word : 需要匹配的词汇
     * @return boolean
     */
    boolean hasWord(String word);
}
