package com.zanxiang.game.platform.serve.pojo.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬用户
 */
@Data
public class PlatformDeYangUserDTO {

    /**
     * 平台账号id, 用户唯一标识
     */
    @NotNull(message = "用户唯一标识不可为空")
    private Long uid;

    /**
     * 公众号openId
     */
    private String wecha_id;

    /**
     * 趣程标识
     */
    private String n_wecha_id;

    /**
     * 注册时间
     */
    private String time;

    /**
     * 渠道id
     */
    private Long tunnel_id;

    /**
     * 最后登录时间
     */
    private String update_time;

    /**
     * 支付金额(单位:分)
     */
    private Long all_price;

    /**
     * 游戏付费金额(单位:分)
     */
    private Long game_price;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 真实姓名
     */
    private String true_name;

    /**
     * 身份证号
     */
    private String code;

    /**
     * 游戏名称
     */
    private String game_name;

    /**
     * 角色名称
     */
    private String role_name;

    /**
     * 角色区服
     */
    private String role_area;

    /**
     * 注册IP
     */
    private String ip;

    /**
     * 公众号id
     */
    private String appid;

    /**
     * 公众号名称
     */
    private String appname;

    /**
     * 注册UA
     */
    private String user_agent;

    /**
     * 分销号id
     */
    private String agent_id2;
}
