package com.zanxiang.game.back.base.rpc;

import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.base.pojo.dto.*;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 腾讯数据源回传
 */
public interface ITencentAppApiBackRpc {
    /**
     * 订单回传
     */
    ResultVO<Boolean> backOrder(TencentOrderAppApiRpcDTO dto);

    /**
     * 用户回传
     */
    ResultVO<Boolean> backUser(TencentUserAppApiRpcDTO dto);

    ResultVO<Boolean> backRoleRegister(TencentRoleRegisterAppApiRpcDTO dto);

    ResultVO<Tuple2<String, Long>> queryUserAgentFromCallback(TencentAppApiUserAgentQueryRpcDTO dto);
}
