package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineRoleRegisterLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineRoleRegisterLogDTO extends BaseListDTO<GameOceanengineRoleRegisterLog> {
    @ApiModelProperty("小游戏ID")
    private String appId;

    @ApiModelProperty("用户OpenID")
    private String openId;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("回传状态")
    private Integer backStatus;

    @ApiModelProperty("注册时间")
    private LocalDate registerTimeBegin;

    @ApiModelProperty("注册时间")
    private LocalDate registerTimeEnd;
}
