package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameRoleRegister;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameUser;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * 游戏腾讯用户表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameTencentMiniGameRoleRegisterDTO extends BaseListDTO<GameTencentMiniGameRoleRegister> {
    @ApiModelProperty("渠道号")
    private String agentKey;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long adAccountId;

    @ApiModelProperty("openid")
    private String wechatOpenid;

    @ApiModelProperty("appid")
    private String wechatAppId;

    @ApiModelProperty("回传状态")
    private Integer backStatus;

    @ApiModelProperty("注册时间")
    private LocalDate registerTimeBegin;

    @ApiModelProperty("注册时间")
    private LocalDate registerTimeEnd;

    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("角色名称")
    private String roleName;
}
