package com.zanxiang.game.back.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineUserLogVO {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("小游戏ID")
    private String appId;

    @ApiModelProperty("用户OpenID")
    private String openId;

    @ApiModelProperty("用户UnionID")
    private String unionId;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("广告回传Token")
    private String accountReportToken;

    @ApiModelProperty("广告回传URL")
    private String accountReportUrl;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("渠道名称")
    private String agentName;

    @ApiModelProperty("注册Token")
    private String clueToken;

    @ApiModelProperty("头条2.0-项目ID")
    private String projectId;

    @ApiModelProperty("头条2.0-广告ID")
    private String promotionId;

    @ApiModelProperty("请求ID")
    private String reqId;

    @ApiModelProperty("注册/激活时间")
    private LocalDateTime activeTime;

    @ApiModelProperty("回传状态")
    private Integer backStatus;
}
