package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏区服下拉列表刷选
 * @date 2023/11/3 16:24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerListDTO {

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private List<Long> gameId;

    /**
     * 父游戏ID
     */
    @ApiModelProperty(value = "父游戏ID")
    private List<Long> parentGameId;


}
