package com.zanxiang.game.data.serve.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author ZhangXianyu
 * @time 2024-03-15 13:51:10
 * @Description 补充任务查询结果Dto
 **/
@Data
public class TaskResultDTO {

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色创建时间
     */
    private LocalDateTime createTime;

    /**
     * 角色vip等级
     */
    private Integer roleVip;

    /**
     * 区服名称
     */
    private String serverName;

    /**
     * 游戏名称
     */
    private String gameName;

}
