package com.zanxiang.game.data.serve.pojo.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description: web界面访问日志对象
 */
@Data
public class WebLogDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 标题
     */
    private String title;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 访问时间  YYYY-MM-DD HH:MM:SS
     */
    private String visitTime;

}
