package com.zanxiang.game.data.serve.pojo.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@ConfigurationProperties(
        prefix = "ali-sms"
)
@Data
@Configuration
public class SmsProperties {

    public static final String CONFIG_PREFIX = "ali-sms";
    private String accessKeyId;
    private String accessKeySecret;
    private String defaultSignName;
    private String defaultStstemErrorTemplate;
    private String msgParamName = "msg";
    private String timeParamName = "time";


}
