package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @version 1.0
 * @description: 渠道信息实体类
 * @date 2023/11/3 16:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AgentListVO {

    /**
     * SDK来源
     */
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 渠道id
     */
    @ApiModelProperty(notes = "渠道ID")
    private Long agentId;

    /**
     * 渠道名
     */
    @ApiModelProperty(notes = "渠道名")
    private String agentName;

}
