package com.zanxiang.game.data.serve.pojo.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * packageName com.zanxiang.game.data.serve.pojo.vo
 *
 * @author ZhangXianyu
 * @date 2024/4/1
 * @description 游戏区服列表R数据
 */
@Data
public class GSGameServerDayRVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * SDK来源
     */
    private String sourceSystem;
    /**
     * 开服时间
     */
    private LocalDate dt;
    /**
     * 订单时间
     */
    private LocalDate orderDay;
    /**
     * 区服id
     */
    private Long serverId;
    /**
     * 游戏id
     */
    private Long parentGameId;
    /**
     * 小r
     */
    private Long smallR = 0L;
    /**
     * 中r
     */
    private Long mediumR = 0L;
    /**
     * 大r
     */
    private Long largeR = 0L;
    /**
     * 超大r
     */
    private Long superR = 0L;



}