package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @description: 游戏区服列表数据
 * @date 2024-03-14 19:06:50
 */
@Data
public class GSGameServerDayVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "游戏id")
    private Long parentGameId;

    @ApiModelProperty(value = "游戏名称")
    private String parentGameName;

    @ApiModelProperty(value = "游戏类别")
    private String parentGameClassify;

    @ApiModelProperty(value = "游戏区服id")
    private Long serverId;

    @ApiModelProperty(value = "游戏区服名称")
    private String serverName;

    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    @ApiModelProperty(value = "开服时间")
    private LocalDate dt;

    @ApiModelProperty(value = "开服天数")
    private Integer days;

    @ApiModelProperty(value = "gsIds")
    private String gsIds;

    @ApiModelProperty(value = "gs名称")
    private String gsNames;


    @ApiModelProperty(value = "新用户人数")
    private Long totalRegNum;

    @ApiModelProperty(value = "创角人数")
    private Long totalRoleNum;

    @ApiModelProperty(value = "付费人数")
    private Long totalAmountNum;

    /**
     * 区服第1天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率
     */
    private String daStr1;
    private String daStr2;
    private String daStr3;
    private String daStr4;
    private String daStr5;
    private String daStr6;
    private String daStr7;
    private String daStr8;
    private String daStr9;
    private String daStr10;
    private String daStr11;
    private String daStr12;
    private String daStr13;
    private String daStr14;
    private String daStr15;
    private String daStr16;
    private String daStr17;
    private String daStr18;
    private String daStr19;
    private String daStr20;
    private String daStr21;
    private String daStr22;
    private String daStr23;
    private String daStr24;
    private String daStr25;
    private String daStr26;
    private String daStr27;
    private String daStr28;
    private String daStr29;
    private String daStr30;
    private String daStr31;
    private String daStr32;
    private String daStr33;
    private String daStr34;
    private String daStr35;
    private String daStr36;
    private String daStr37;
    private String daStr38;
    private String daStr39;
    private String daStr40;
    private String daStr41;
    private String daStr42;
    private String daStr43;
    private String daStr44;
    private String daStr45;
    private String daStr46;
    private String daStr47;
    private String daStr48;
    private String daStr49;
    private String daStr50;
    private String daStr51;
    private String daStr52;
    private String daStr53;
    private String daStr54;
    private String daStr55;
    private String daStr56;
    private String daStr57;
    private String daStr58;
    private String daStr59;
    private String daStr60;
    private String daStr61;
    private String daStr62;
    private String daStr63;
    private String daStr64;
    private String daStr65;
    private String daStr66;
    private String daStr67;
    private String daStr68;
    private String daStr69;
    private String daStr70;
    private String daStr71;
    private String daStr72;
    private String daStr73;
    private String daStr74;
    private String daStr75;
    private String daStr76;
    private String daStr77;
    private String daStr78;
    private String daStr79;
    private String daStr80;
    private String daStr81;
    private String daStr82;
    private String daStr83;
    private String daStr84;
    private String daStr85;
    private String daStr86;
    private String daStr87;
    private String daStr88;
    private String daStr89;
    private String daStr90;

    //1-90的留存率
    private GSServerRetentionVO daRetention1;
    private GSServerRetentionVO daRetention2;
    private GSServerRetentionVO daRetention3;
    private GSServerRetentionVO daRetention4;
    private GSServerRetentionVO daRetention5;
    private GSServerRetentionVO daRetention6;
    private GSServerRetentionVO daRetention7;
    private GSServerRetentionVO daRetention8;
    private GSServerRetentionVO daRetention9;
    private GSServerRetentionVO daRetention10;
    private GSServerRetentionVO daRetention11;
    private GSServerRetentionVO daRetention12;
    private GSServerRetentionVO daRetention13;
    private GSServerRetentionVO daRetention14;
    private GSServerRetentionVO daRetention15;
    private GSServerRetentionVO daRetention16;
    private GSServerRetentionVO daRetention17;
    private GSServerRetentionVO daRetention18;
    private GSServerRetentionVO daRetention19;
    private GSServerRetentionVO daRetention20;
    private GSServerRetentionVO daRetention21;
    private GSServerRetentionVO daRetention22;
    private GSServerRetentionVO daRetention23;
    private GSServerRetentionVO daRetention24;
    private GSServerRetentionVO daRetention25;
    private GSServerRetentionVO daRetention26;
    private GSServerRetentionVO daRetention27;
    private GSServerRetentionVO daRetention28;
    private GSServerRetentionVO daRetention29;
    private GSServerRetentionVO daRetention30;
    private GSServerRetentionVO daRetention31;
    private GSServerRetentionVO daRetention32;
    private GSServerRetentionVO daRetention33;
    private GSServerRetentionVO daRetention34;
    private GSServerRetentionVO daRetention35;
    private GSServerRetentionVO daRetention36;
    private GSServerRetentionVO daRetention37;
    private GSServerRetentionVO daRetention38;
    private GSServerRetentionVO daRetention39;
    private GSServerRetentionVO daRetention40;
    private GSServerRetentionVO daRetention41;
    private GSServerRetentionVO daRetention42;
    private GSServerRetentionVO daRetention43;
    private GSServerRetentionVO daRetention44;
    private GSServerRetentionVO daRetention45;
    private GSServerRetentionVO daRetention46;
    private GSServerRetentionVO daRetention47;
    private GSServerRetentionVO daRetention48;
    private GSServerRetentionVO daRetention49;
    private GSServerRetentionVO daRetention50;
    private GSServerRetentionVO daRetention51;
    private GSServerRetentionVO daRetention52;
    private GSServerRetentionVO daRetention53;
    private GSServerRetentionVO daRetention54;
    private GSServerRetentionVO daRetention55;
    private GSServerRetentionVO daRetention56;
    private GSServerRetentionVO daRetention57;
    private GSServerRetentionVO daRetention58;
    private GSServerRetentionVO daRetention59;
    private GSServerRetentionVO daRetention60;
    private GSServerRetentionVO daRetention61;
    private GSServerRetentionVO daRetention62;
    private GSServerRetentionVO daRetention63;
    private GSServerRetentionVO daRetention64;
    private GSServerRetentionVO daRetention65;
    private GSServerRetentionVO daRetention66;
    private GSServerRetentionVO daRetention67;
    private GSServerRetentionVO daRetention68;
    private GSServerRetentionVO daRetention69;
    private GSServerRetentionVO daRetention70;
    private GSServerRetentionVO daRetention71;
    private GSServerRetentionVO daRetention72;
    private GSServerRetentionVO daRetention73;
    private GSServerRetentionVO daRetention74;
    private GSServerRetentionVO daRetention75;
    private GSServerRetentionVO daRetention76;
    private GSServerRetentionVO daRetention77;
    private GSServerRetentionVO daRetention78;
    private GSServerRetentionVO daRetention79;
    private GSServerRetentionVO daRetention80;
    private GSServerRetentionVO daRetention81;
    private GSServerRetentionVO daRetention82;
    private GSServerRetentionVO daRetention83;
    private GSServerRetentionVO daRetention84;
    private GSServerRetentionVO daRetention85;
    private GSServerRetentionVO daRetention86;
    private GSServerRetentionVO daRetention87;
    private GSServerRetentionVO daRetention88;
    private GSServerRetentionVO daRetention89;
    private GSServerRetentionVO daRetention90;









}
