package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author tianhua
 * @time 2023/9/25
 * @Description 游戏列表VO
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameListVO {

    /**
     * 游戏列表
     */
    @ApiModelProperty(value = "游戏列表")
    private List<Map> gameList;

    /**
     * 父游戏列表
     */
    @ApiModelProperty(value = "父游戏列表")
    private List<Map> parentGameList;

    /**
     * 超父游戏列表
     */
    @ApiModelProperty(value = "超父游戏列表")
    private List<Map> superGameList;

}
