package com.zanxiang.game.data.serve.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏区服列表数据
 * @date 2024/1/5 10:59
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerVO {

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 子游戏ID
     */
    private Long gameId;

    /**
     * 子游戏名称
     */
    private String gameName;

    /**
     * 父游戏ID
     */
    private Long parentGameId;

    /**
     * 区服ID
     */
    private String serverId;

    /**
     * 区服名称
     */
    private String serverName;

}
