package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/25
 * @Description 消耗折线图实体对象
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverallSummaryCostLineDataVO {

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private LocalDate dt;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

}
