package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/25
 * @Description 新增用户折线图实体对象
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverallSummaryUserLineDataVO {

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private LocalDate dt;

    /**
     * 新增用户
     */
    @ApiModelProperty(value = "新增用户")
    private Long playerAccount;

}
