package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏总数据实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PlayerTemplateVO {
    /**
     * 玩家模板排序
     */
    @ApiModelProperty("玩家模板排序")
    private Integer userOrderBy;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private Long userId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户名称")
    private String userName;

    /**
     * 用户充值金额
     */
    @ApiModelProperty("用户充值金额")
    private BigDecimal userAmount;

    /**
     * 用户充值占比
     */
    @ApiModelProperty("用户充值占比")
    private BigDecimal proportion;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("游戏服")
    private String serverName;


}
