package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PromotionRechargeTrendVO {

    /**
     * ROI
     */
    @ApiModelProperty(notes = "ROI")
    private BigDecimal roi;

    /**
     * 用户充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 倍数
     */
    @ApiModelProperty(notes = "倍数")
    private BigDecimal multiples;
}
