package com.zanxiang.game.gs.data.serve.pojo.dto;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class BaseListDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "分页对象不能为空")
    @Min(value = 1L, message = "起始页最小为 1")
    private Integer pageNum;

    @NotNull(message = "分页对象不能为空")
    @Min(value = 1L, message = "页面大小（2~999）之间")
    @Max(value = 999L, message = "页面大小（2~999）之间")
    private Integer pageSize;
}
