package com.zanxiang.game.module.base.pojo.dto;

import com.zanxiang.game.module.base.pojo.enums.H5SignShowEnum;
import com.zanxiang.game.module.base.pojo.enums.H5WeChatControlEnum;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-07-07
 * @description : H5游戏配置对象
 */
@Data
public class H5GameConfigDTO {

    /**
     * H5游戏地址
     */
    private String h5GameUrl;

    /**
     * H5游戏登录窗Logo图片
     */
    private String h5LoginLogo;

    /**
     * H5侧边栏Logo图片
     */
    private String h5SignLogo;

    /**
     * H5侧边栏暂时类型枚举
     */
    private H5SignShowEnum h5SignShow;

    /**
     * 微信环境控制枚举
     */
    private H5WeChatControlEnum h5WeChatControl;
}
