package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author xufeng
 * @date 2022/6/13 11:39
 */
@Getter
@AllArgsConstructor
public enum StatusEnum {

    /**
     * 正常
     */
    YES(0, "正常"),

    /**
     * 禁止
     */
    NO(1, "禁止");

    /**
     * 状态
     */
    private int code;

    /**
     * 描述
     */
    private String name;
}
