package com.zanxiang.game.module.base.rpc;

import com.zanxiang.game.module.base.pojo.params.PushMsgParam;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 消息推送
 */
public interface IPushMsgRpc {

    /**
     * 充值消息推送
     *
     * @param param : 参数
     */
    void pushMsgByRecharge(PushMsgParam param);

    /**
     * 等级更新消息推送
     *
     * @param param : 参数
     */
    void pushMsgByLevelUpdate(PushMsgParam param);
}
