package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 19:25:51
 * @description : 任务状态枚举
 */
@Getter
@AllArgsConstructor
public enum CpSendMsgTaskStatusEnum {

    /**
     * 已发送
     */
    SUCCESS_SEND("SUCCESS_SEND"),

    /**
     * 待发送
     */
    WAIT_SEND("WAIT_SEND");

    /**
     * 任务类型
     */
    private String value;

}
