package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

/**
 * 注释游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
public class PayApplicationDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用原始id
     */
    private String ghId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    private Integer type;

    /**
     * 应用密钥
     */
    private String appSecret;

    /**
     * 应用跳转路径
     */
    private String path;

    /**
     * 小程序收款商户
     */
    private String merchantNo;

    /**
     * 应用主体
     */
    private String company;

    /**
     * 登录账号
     */
    private String account;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 管理员微信
     */
    private String managerVx;

    /**
     * 备注
     */
    private String remark;

    /**
     * 应用头像
     */
    private String headImg;

    /**
     * 应用二维码
     */
    private String qrCode;
}
