package com.zanxiang.game.module.manage.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBoxDTO {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 商户号（多个逗号分割）
     */
    private String merchantNos;

    /**
     * 商城小程序类型 1、商城百货 2、商城美妆 3、商城内容
     */
    private Integer storeType;

    /**
     * 描述
     */
    private String remark;
}
