package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameAdMonitor;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/12/28 15:53
 */
@Data
public class GameAdPolicyListParam extends BaseListDTO<GameAdMonitor> {

    /**
     * 规则名称
     */
    @ApiModelProperty("规则名称")
    private String ruleName;

    /**
     * 游戏ID(子游戏维度)
     */
    @ApiModelProperty("游戏ID(子游戏维度)")
    private Long gameId;

    /**
     * 媒体类型:1-腾讯;2-头条
     */
    @ApiModelProperty("媒体类型:1-腾讯;2-头条")
    private Integer mediaType;

    /**
     * 是否启用
     */
    @NotNull(message = "是否启用不能为空")
    @ApiModelProperty("是否启用")
    private Boolean isStart;

}
