package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2024-05-20
 * @description : 授权分组添加更新
 */
@Data
public class GameAuthGroupAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "id, 不传则添加, 传则修改")
    private Long id;

    /**
     * 组名称
     */
    @NotBlank(message = "组名称不可为空")
    @ApiModelProperty(notes = "组名称, 必传")
    private String groupName;
}
