package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameAuthGroup;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2024-05-21
 * @description : 授权分组查询参数
 */
@Data
public class GameAuthGroupListParam extends BaseListDTO<GameAuthGroup> {

    /**
     * 分组名称
     */
    @ApiModelProperty(notes = "分组名称")
    private String groupName;
}
