package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameAuth;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-08-16
 * @description : 游戏授权查询
 */
@Data
public class GameAuthListParam extends BaseListDTO<GameAuth> {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;
}
