package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import lombok.Data;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权角色新增或者修改
 */
@Data
public class GameAuthRoleAddParam {

    /**
     * 授权类型
     */
    private GameAuthEnum authType;

    /**
     * 用户id列表
     */
    private List<Long> userIdList;
}
