package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权角色更新
 */
@Data
public class GameAuthRoleUpdateParam {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不可为空")
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 授权类型
     */
    @NotNull(message = "授权类型不可为空")
    @ApiModelProperty(notes = "授权类型")
    private GameAuthEnum authType;
}
