package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-08-16
 * @description : 游戏授权更新
 */
@Data
public class GameAuthUpdateParam {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不可为空")
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "用户id")
    private Long gameId;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不可为空")
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 是否包含自然量
     */
    @NotNull(message = "用户id不可为空")
    @ApiModelProperty(notes = "是否包含自然量")
    private Boolean defaultAgent;
}
