package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 对接参数
 */
@Data
public class GameDockParam {

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id")
    private Long id;

    /**
     * 游戏appId
     */
    @ApiModelProperty(notes = "游戏appId")
    private String appId;

    /**
     * 密钥secret
     */
    @ApiModelProperty(notes = "密钥secret")
    private String appSecret;

    /**
     * 游戏key
     */
    @ApiModelProperty(notes = "游戏key")
    private String appKey;
}
