package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameGift;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shishaosong
 */
@Data
public class GameGiftListParam extends BaseListDTO<GameGift> {
    @ApiModelProperty(notes = "礼包名称")
    private String giftName;

    @ApiModelProperty(notes = "超父游戏id")
    private Long superGameId;

    @ApiModelProperty(notes = "父游戏id")
    private Long parentGameId;
}
