package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameTag;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-11-16
 * @description : 游戏分类标签查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameTagListParam extends BaseListDTO<GameTag> {

    /**
     * 标签名称
     */
    @ApiModelProperty(notes = "标签名称")
    private String labelName;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParent;
}
