package com.zanxiang.game.module.manage.pojo.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-12-28
 * @description : 授权更新参数
 */
@Data
public class KfUserUpdateParam {

    /**
     * 应用id
     */
    @NotBlank(message = "应用id不可为空")
    private String appId;

    /**
     * 授权token
     */
    @NotBlank(message = "授权token不可为空")
    private String token;

    /**
     * 授权cookie
     */
    @NotBlank(message = "授权cookie不可为空")
    private String cookie;
}
