package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.PayMerchant;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PayMerchantListParam extends BaseListDTO<PayMerchant> {

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户主体
     */
    @ApiModelProperty(notes = "商户主体")
    private String merchantName;

    /**
     * 商户平台id
     */
    @ApiModelProperty(notes = "商户平台id")
    private Integer payWayId;

    /**
     * 状态, 0 : 正常, 1 : 不可用
     */
    @ApiModelProperty(notes = "状态, 0 : 正常, 1 : 不可用")
    private Integer status;
}
