package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 关联游戏更新参数
 */
@Data
public class RelationGameUpdateParam {

    /**
     * 游戏主键id
     */
    @NotNull(message = "游戏主键id不可为空")
    @ApiModelProperty(notes = "游戏主键id")
    private Long id;

    /**
     * 关联主游戏id
     */
    @ApiModelProperty(notes = "关联主游戏id")
    private Long parentId;

    /**
     * 关联H5游戏id
     */
    @ApiModelProperty(notes = "游戏主键id")
    private Long h5GameId;

}
