package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;


/**
 * @author shishaosong
 */
@ApiModel
@Data
public class RoleAssignRecordAddParam {
    @NotNull
    private Long id;

    @NotNull
    @ApiModelProperty("开始时间")
    private LocalDate startTime;

    @ApiModelProperty("备注")
    private String remark;

    /**
     * GS
     */
    @ApiModelProperty("GS id")
    private Long gsId;

    /**
     * 客服
     */
    @ApiModelProperty("客服id")
    private Long customerServiceId;

    /**
     * 运营
     */
    @ApiModelProperty("运营id")
    private Long operUserId;

}
