package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @author shishaosong
 */
@ApiModel
@Data
public class RoleInfoParam {
    /**
     * 游戏id
     */
    @NotNull
    @ApiModelProperty("游戏id")
    private Long gameId;

    /**
     * 区服id
     */
    @NotNull
    @ApiModelProperty("区服id")
    private String serverId;

    /**
     * 用户id
     */
    @NotNull
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 角色id
     */
    @NotNull
    @ApiModelProperty("角色id")
    private String roleId;

}
