package com.zanxiang.game.module.manage.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-06-27
 * @description : 推广渠道
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AgentChoiceVO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 渠道名称
     */
    private String agentName;

    /**
     * 渠道唯一标识
     */
    private String agentKey;
}
