package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : xufeng
 * @time : 2022-07-13
 * @description : 游戏支付宝支付展示
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameAlipayPayVO {

    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    @ApiModelProperty(notes = "商户主体")
    private String merchantName;

    @ApiModelProperty(notes = "登录账号")
    private String loginName;

    @ApiModelProperty(notes = "管理员")
    private String managePerson;

}
