package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游戏支付方式
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GamePayWayVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "支付方式id")
    private Long id;

    /**
     * 支付方式自定义别名（为空时则展示支付方式+游戏名称）
     */
    @ApiModelProperty(notes = "支付方式名称")
    private String payWayName;
}
