package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 游戏关联信息
 */
@Data
public class GameRelationVO {

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 主游戏id
     */
    @ApiModelProperty(notes = "主游戏id")
    private Long parentId;

    /**
     * 主游戏名称
     */
    @ApiModelProperty(notes = "主游戏名称")
    private String parentName;

    /**
     * 主游戏应用类型id
     */
    @ApiModelProperty(notes = "主游戏应用类型id")
    private Long parentCategoryId;

    /**
     * 主游戏应用类型名称
     */
    @ApiModelProperty(notes = "主游戏应用类型名称")
    private String parentCategoryName;

    /**
     * 关联H5游戏id
     */
    @ApiModelProperty(notes = "关联H5游戏id")
    private Long h5GameId;

    /**
     * 关联H5游戏名称
     */
    @ApiModelProperty(notes = "关联H5游戏名称")
    private String h5GameName;

    /**
     * 导量游戏id
     */
    @ApiModelProperty(notes = "导量游戏id")
    private Long guideGameId;

    /**
     * 导量游戏名字
     */
    @ApiModelProperty(notes = "导量游戏名字")
    private String guideGameName;

    /**
     * 导量游戏应用类型id
     */
    @ApiModelProperty(notes = "导量游戏应用类型id")
    private Long guideCategoryId;

    /**
     * 导量游戏应用类型名称
     */
    @ApiModelProperty(notes = "导量游戏应用类型名称")
    private String guideCategoryName;

}
