package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-09-12
 * @description : 游戏区服
 */
@Data
public class GameServerVO {

    /**
     * 区服id
     */
    @ApiModelProperty(notes = "区服id")
    private String serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(notes = "区服名称")
    private String serverName;

    /**
     * 是否原始服
     */
    @ApiModelProperty(notes = "是否原始服")
    private Boolean isSourceServer;

}
