package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-16
 * @description : 游戏分类标签
 */
@Data
public class GameTagChoiceVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParent;

    /**
     * 父分类id(顶层游戏分类为0)
     */
    @ApiModelProperty(notes = "是否父标签")
    private Long parentId;
}
