package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : xufeng
 * @time : 2022-07-13
 * @description : 游戏支付宝支付展示
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameWxpayPayVO {

    @ApiModelProperty(notes = "支付盒子")
    private String boxName;

    @ApiModelProperty(notes = "关联应用名称")
    private String applicationName;

    @ApiModelProperty(notes = "关联应用APPID")
    private String appId;

    @ApiModelProperty(notes = "关联应用原始ID")
    private String primevalId;

    @ApiModelProperty(notes = "商户主体")
    private String company;

    @ApiModelProperty(notes = "管理员")
    private String managePerson;

    @ApiModelProperty(notes = "商户号id_商户名称（多个,分割）")
    private String payMerchantDetail;
}
