package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁详情
 */
@Data
public class IpBanVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * ip
     */
    @ApiModelProperty(notes = "ip")
    private String ip;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 封禁时间
     */
    @ApiModelProperty(notes = "封禁时间")
    private LocalDateTime banTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;

    /**
     * 状态, 0 正常 1 封禁
     */
    @ApiModelProperty(notes = "状态, 0 正常 1 封禁")
    private Integer status;
}
