package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-15
 * @description : 盒子选择列表
 */
@Data
public class PayBoxChoiceVO {

    /**
     * 盒子主键id
     */
    @ApiModelProperty(notes = "盒子主键id")
    private Integer id;

    /**
     * 盒子名称
     */
    @ApiModelProperty(notes = "盒子名称")
    private String name;

    /**
     * 盒子类型 1、小程序 2、微信公众号
     */
    @ApiModelProperty(notes = "盒子类型 1、小程序 2、微信公众号")
    private Integer type;
}
