package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-13
 * @description : 支付类型选择列表
 */
@Data
public class PayDeviceChoiceVO {

    /**
     * 支付类型
     */
    @ApiModelProperty(notes = "支付类型")
    private Long id;

    /**
     * 支付类型名称
     */
    @ApiModelProperty(notes = "支付类型")
    private String payDeviceName;

    /**
     * 支付方式 id 列表
     */
    @ApiModelProperty(notes = "支付方式 id 列表")
    private String payWayIds;
}
