package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-09
 * @description : 商户选择列表
 */
@Data
public class PayMerchantChoiceVO {

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户名称
     */
    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    /**
     * 商户平台类型, 1 : 支付宝, 2 : 微信
     */
    @ApiModelProperty(notes = "商户平台类型, 1 : 支付宝, 2 : 微信")
    private Long payWayId;
}
