package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : 玩家封禁信息
 */
@Data
public class UserBanVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 用户账号
     */
    @ApiModelProperty(notes = "用户账号")
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty(notes = "用户昵称")
    private String userNickName;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    /**
     * 封禁时间
     */
    @ApiModelProperty(notes = "封禁时间")
    private LocalDateTime banTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;

    /**
     * 状态, 0 正常 1 封禁
     */
    @ApiModelProperty(notes = "状态, 0 正常 1 封禁")
    private Integer status;
}
