package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-07-26
 * @description : 用户微信信息
 */
@Data
public class UserWeChatVO {

    /**
     * 微信昵称
     */
    @ApiModelProperty(notes = "微信昵称")
    private String name;

    /**
     * 微信头像
     */
    @ApiModelProperty(notes = "微信头像")
    private String avatar;

}
