package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.base.pojo.params.SendMsgTaskResultParam;
import com.zanxiang.game.module.base.pojo.vo.SendMsgResultVO;
import com.zanxiang.game.module.base.util.PageUtil;
import com.zanxiang.game.module.mybatis.entity.CpSendMsgResult;

/**
 * @author : lingfeng
 * @time : 2024-03-14
 * @description :
 */
public interface ICpSendMsgResultService extends IService<CpSendMsgResult> {
    /**
     * 获取发送消息任务结果列表
     * @param sendMsgTaskResultParam
     * @return
     */
    PageUtil<SendMsgResultVO> getSendMsgTaskResultList(SendMsgTaskResultParam sendMsgTaskResultParam);
}
