package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameAdPolicyAddOrUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GameAdPolicyBatchOperationParam;
import com.zanxiang.game.module.manage.pojo.params.GameAdPolicyBatchStartParam;
import com.zanxiang.game.module.manage.pojo.params.GameAdPolicyListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameAdPolicyListVO;
import com.zanxiang.game.module.mybatis.entity.GameAdMonitor;

import java.util.List;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/12/28 15:41
 */
public interface IGameAdMonitorService extends IService<GameAdMonitor> {

    boolean addOrUpdate(GameAdPolicyAddOrUpdateParam param);

    boolean deleteByIds(List<Long> ids);

    IPage<GameAdPolicyListVO> listOfPage(GameAdPolicyListParam param);

    boolean batchOperation(GameAdPolicyBatchOperationParam param);

    boolean batchStart(GameAdPolicyBatchStartParam param);

}
