package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameRemitLogListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameRemitLogVO;
import com.zanxiang.game.module.mybatis.entity.GameRemitLog;

/**
 * @author : lingfeng
 * @time : 2023-07-17
 * @description : 游戏提现记录
 */
public interface IGameRemitLogService extends IService<GameRemitLog> {

    /**
     * 列表页面
     *
     * @param param 参数
     * @return {@link IPage}<{@link GameRemitLogVO}>
     */
    IPage<GameRemitLogVO> listOfPage(GameRemitLogListParam param);
}
