package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.PayCallCpLogParam;
import com.zanxiang.game.module.manage.pojo.vo.LogPayCpVO;
import com.zanxiang.game.module.mybatis.entity.PayCallCpLog;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 通知CP记录表
 */
public interface ILogPayCpService extends IService<PayCallCpLog> {

    /**
     * 回调cp列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link LogPayCpVO}>
     */
    IPage<LogPayCpVO> callCpList(PayCallCpLogParam param);
}
