package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.PayWayDTO;
import com.zanxiang.game.module.manage.pojo.vo.PayWayChoiceVO;
import com.zanxiang.game.module.mybatis.entity.PayWay;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-02-09
 * @description : 支付渠道
 */
public interface IPayWayService extends IService<PayWay> {

    /**
     * 支付方式选择列表查询
     *
     * @return {@link List}<{@link PayWayChoiceVO}>
     */
    List<PayWayChoiceVO> payWayChoiceList();

    /**
     * 支付方式图
     *
     * @return {@link Map}<{@link Long}, {@link PayWayDTO}>
     */
    Map<Long, PayWayDTO> payWayMap();

}
