package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameUserRole;
import com.zanxiang.game.module.mybatis.entity.PushMsgSendLog;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 消息推送日志
 */
public interface IPushMsgSendLogService extends IService<PushMsgSendLog> {

    /**
     * 推送消息
     *
     * @param gameId           : 游戏od
     * @param strategyId       : 策略id
     * @param text             : 文本内容
     * @param gameUserRoleList : 角色列表
     */
    void pushMsg(Long gameId, Long strategyId, String text, List<GameUserRole> gameUserRoleList);
}
