package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.base.pojo.params.PushMsgParam;
import com.zanxiang.game.module.mybatis.entity.PushMsgStrategy;

/**
 * @author : lingfeng
 * @time : 2024-05-24
 * @description : 消息推送策略
 */
public interface IPushMsgStrategyService extends IService<PushMsgStrategy> {

    /**
     * 策略推送消息
     *
     * @param pushMsgStrategy : 策略
     * @param param           : 参数
     */
    void strategyPushMsgRun(PushMsgStrategy pushMsgStrategy, PushMsgParam param);
}
