package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameUserRole;
import com.zanxiang.game.module.mybatis.entity.PushMsgTextStrategy;

/**
 * @author : lingfeng
 * @time : 2024-05-24
 * @description : 消息推送文本策略
 */
public interface IPushMsgTextStrategy extends IService<PushMsgTextStrategy> {

    /**
     * 查询角色对应的文本策略
     *
     * @param gameUserRole : 角色信息
     * @return : 返回文本
     */
    String getStrategyText(GameUserRole gameUserRole);
}
