package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.RoleMailRecordAddParam;
import com.zanxiang.game.module.manage.pojo.params.RoleMailRecordListParam;
import com.zanxiang.game.module.manage.pojo.vo.RoleMailRecordListVO;
import com.zanxiang.game.module.mybatis.entity.RoleMailRecord;

import java.util.List;

/**
 * <p>
 * 角色邮件发送记录表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
public interface IRoleMailRecordService extends IService<RoleMailRecord> {

    boolean addOrUpdate(RoleMailRecordAddParam param);

    IPage<RoleMailRecordListVO> listOfPage(RoleMailRecordListParam param);

    boolean deleteByIds(List<Long> ids);
}
