package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-01-12
 * @description : 游戏支付配置
 */
@Data
public class GamePayWayDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 支付方式id
     */
    private Long payDeviceId;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 支付盒子id
     */
    private Long payBoxId;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 客服消息卡片图片地址
     */
    private String thumbUrl;
}
