package com.zanxiang.game.module.sdk.pojo.param;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class CommonParam implements Serializable {

    //==============必须携带相关参数===========

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("游戏id")
    @JsonAlias("app_id")
    private String gameId;

    @ApiModelProperty("游戏玩家id")
    @JsonAlias("mg_user_id")
    private String mgUserId;

    //==============device 相关===============

    @ApiModelProperty("设备id")
    @JsonAlias("device-device_id")
    private String deviceId;

    @ApiModelProperty("mac设备")
    @JsonAlias("device-mac")
    private String deviceMac;

    @ApiModelProperty("设备品牌")
    @JsonAlias("device-brand")
    private String deviceBrand;

    @ApiModelProperty("设备型号代码")
    @JsonAlias("device-model")
    private String deviceModel;

    @ApiModelProperty("设备类型")
    @JsonAlias("device-type")
    private Integer deviceType;
}
