package com.zanxiang.game.module.sdk.pojo.param;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2024-06-25
 * @description : CP推送玩家活跃数据
 */
@Data
public class CpPushActiveParam {

    /**
     * 玩家应用唯一标识
     */
    private String openId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 活跃类型 : 0 上线, 1 下线
     */
    private Integer activeType;
}
