package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-07-24
 * @description : 访问信息
 */
@Data
public class UserVisitLogParam {

    /**
     * 访问url
     */
    @NotBlank(message = "访问url不可为空")
    @ApiModelProperty(notes = "访问url")
    private String url;
}
