package com.zanxiang.game.module.sdk.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2024-06-20
 * @description : CP推送玩家消息结果
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CpPushUserVO {

    /**
     * sdk唯一用户标识
     */
    private Long userId;

    /**
     * 是否sdk用户
     */
    private Boolean sdkUser;

    /**
     * 买量渠道标识
     */
    private String channel;
}
