package com.zanxiang.game.module.sdk.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2022-10-03
 * @description : 客服信息
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerVO {

    /**
     * 客服手机
     */
    private String customerPhone;

    /**
     * 客服QQ
     */
    private String customerQq;

    /**
     * 公众号id
     */
    private String mpAppId;

    /**
     * 公众号名字
     */
    private String mpAppName;

    /**
     * 公众号二维码图片地址
     */
    private String mpCode;
}
