package com.zanxiang.game.module.sdk.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-01-16
 * @description : 游戏分享信息
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GameShareVO {

    /**
     * 分享标题
     */
    @ApiModelProperty(notes = "分享标题")
    private String title;

    /**
     * 分享图片
     */
    @ApiModelProperty(notes = "分享图片")
    private String shareImg;

    /**
     * 游戏路径
     */
    @ApiModelProperty(notes = "游戏路径")
    private String path;
}
