package com.zanxiang.game.module.sdk.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2024-05-30
 * @description : 用户session状态检测
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SessionCheckVO {

    /**
     * 重新登录, true : 重新登录, false : 不需要.
     */
    private Boolean reLogin;

    /**
     * 弹窗内容, reLogin为true会返回内容
     */
    private String msg;
}
