package com.zanxiang.game.module.sdk.rpc.impl;

import com.zanxiang.game.module.base.rpc.IWxApiServiceRpc;
import com.zanxiang.game.module.sdk.service.api.WxApiService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author : lingfeng
 * @time : 2024-01-20
 * @description : 微信接口
 */
@DubboService
public class WxApiServiceRpcImpl implements IWxApiServiceRpc {

    @Autowired
    private WxApiService wxApiService;

    @Override
    public String getAccessToken(String appId, String secret) {
        return wxApiService.getAccessToken(appId, secret);
    }
}
