package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.sdk.pojo.param.MsgSceneCheckParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * @author : lingfeng
 * @time : 2023-11-13
 * @description : 小程序安全检测
 */
public interface IMsgSceneCheckService {

    /**
     * 消息检测
     *
     * @param param    : 检测参数
     * @param userData : 用户信息
     * @return : 返回检测结果
     */
    String msgCheck(MsgSceneCheckParam param, UserData userData);
}
