package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GameUserRole;
import com.zanxiang.game.module.mybatis.entity.RoleOperate;

/**
 * @author : lingfeng
 * @time : 2023-09-09
 * @description : 角色操作表
 */
public interface IRoleOperateService extends IService<RoleOperate> {

    /**
     * 系统角色操作
     *
     * @param gameUserRole : 玩家角色信息
     */
    void systemRoleOperate(GameUserRole gameUserRole);
}
