package com.zanxiang.game.platform.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.platform.serve.pojo.entity.GamePlatform;

/**
 * @author : lingfeng
 * @time : 2023-05-24
 * @description :
 */
public interface IGamePlatformService extends IService<GamePlatform> {

    /**
     * 通过平台关键
     *
     * @param platformKey 平台关键
     * @return {@link GamePlatform}
     */
    GamePlatform getByPlatformKey(String platformKey);
}
