package com.zanxiang.game.platform.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangOrderDTO;
import com.zanxiang.game.platform.serve.pojo.entity.PlatformDeYangOrder;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description :
 */
public interface IPlatformDeYangOrderService extends IService<PlatformDeYangOrder> {

    /**
     * 添加或更新
     *
     * @param orderDTO 订单dto
     * @return {@link Boolean}
     */
    Boolean addOrUpdate(PlatformDeYangOrderDTO orderDTO);

    /**
     * 保存或更新
     *
     * @param orderList 订单列表
     * @return boolean
     */
    boolean saveOrUpdate(List<PlatformDeYangOrder> orderList);
}
