package com.zanxiang.game.platform.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangUserDTO;
import com.zanxiang.game.platform.serve.pojo.entity.PlatformDeYangUser;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德阳用户
 */
public interface IPlatformDeYangUserService extends IService<PlatformDeYangUser> {

    /**
     * 添加或更新
     *
     * @param userDTO 用户dto
     * @return {@link Boolean}
     */
    Boolean addOrUpdate(PlatformDeYangUserDTO userDTO);

    /**
     * 保存或更新
     *
     * @param userList 用户列表
     * @return boolean
     */
    boolean saveOrUpdate(List<PlatformDeYangUser> userList);
}
